Page MenuHomePhabricator

Add Design Style Guide link to doc.wikimedia.org
Closed, ResolvedPublic

Description

https://doc.wikimedia.org/ should feature a “Wikimedia Design Style Guide” link pointing at https://design.wikimedia.org/style-guide/.
Not all links are equal there, RESTBase is also just an external link.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 16 2019, 10:06 PM

In what current section should it be? Should it be under a new section "Design" ?

@Ammarpad That was my idea, yes. And it could be happily the last section as the sections are not in alphabetical order.

Change 544257 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[integration/docroot@master] Add link to Design Style Guide at doc homepage

https://gerrit.wikimedia.org/r/544257

Change 544257 merged by jenkins-bot:
[integration/docroot@master] Add link to Design Style Guide at doc homepage

https://gerrit.wikimedia.org/r/544257

Ammarpad closed this task as Resolved.Oct 19 2019, 8:37 PM
Ammarpad claimed this task.
Krinkle reopened this task as Open.Oct 19 2019, 8:48 PM
Krinkle removed Ammarpad as the assignee of this task.
Krinkle assigned this task to hashar.
Krinkle triaged this task as Normal priority.
Krinkle added a subscriber: Krinkle.

Re-opening, because the patch is not yet deployed. Which I was unable to do due to a permissions issue on the /srv/docroot issue (some files are owned by hashar instead of doc-uploader).

hashar added a comment.EditedOct 19 2019, 9:44 PM

The files should all belong to the group wikidev and /srv/docroot has the set group id flag. The git repository has core.sharedRepository = 1 to have git to ensure files are group-writable.

Eventually it was dirty, from git status:

On branch master
Your branch is behind 'origin/master' by 3 commits, and can be fast-forwarded.
  (use "git pull" to update your local branch)
Changes to be committed:
  (use "git reset HEAD <file>..." to unstage)

	modified:   org/wikimedia/doc/default.html

Changes not staged for commit:
  (use "git add <file>..." to update what will be committed)
  (use "git checkout -- <file>..." to discard changes in working directory)

	modified:   .eslintrc.json
	modified:   org/wikimedia/doc/default.html
	modified:   package-lock.json
	modified:   zuul-status/public_html/jquery.zuul.js

And lagging behind:

564e04d (origin/master, origin/HEAD) Add link to Design Style Guide at doc homepage
044b4c8 build: Updating eslint-utils to 1.4.2
35e5eb7 zuul: When filtering, hide pipelines without matching changes
a9214e6 (HEAD -> master) doc: add link to Homer documentation

I have git reset to origin/master but that fails:

error: unable to unlink old 'org/wikimedia/doc/default.html': Permission denied
fatal: Could not reset index file to revision 'origin/master'.

The directory org/wikimedia/doc belongs to doc-uploader:wikidev but lack the group writable bit :-\ Hence git is unable to replace the default.html file.

It is an aftermath of the migration to the new host (T137890). And eventually I found an old puppet patch that hints at lack of write permissions: https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/484308/

I have set the group writable bit:

sudo -u doc-uploader chmod g+w /srv/docroot/org/wikimedia/doc

And I have reset the repository to origin/master . The design link now shows up on https://doc.wikimedia.org/

Volker_E closed this task as Resolved.Oct 22 2019, 6:37 AM
hashar added a comment.Thu, Nov 7, 8:13 PM

The issue we had should be addressed by: